Subject: Re: bug#8521: Bug in df (printing info when i18n-zed)

From: Jim Meyering <[email-masked]>
Date: Wed, 20 Apr 2011 08:39:21 +0200

tags 8521 moreinfo
thanks

kost BebiX wrote:
> There's a small bug in df utility (or maybe it's in it's translation, I don't know).
> When I use it and my system (Ubuntu) language is russian -- it's
> getting a bit broken output (I think because \t is used and
> translation is too long):
>
> http://dl.dropbox.com/u/865508/df_fail.png
>
> Hope you'll fix that. Thank you.

Thanks for the report.
That should be fixed in coreutils-8.11 (released a week ago).
Here's the applicable NEWS entry:

    df now aligns columns consistently, and no longer wraps entries
    with longer device identifiers, over two lines.

Can you confirm that, perhaps by building it yourself?